## ros-indigo-rbcar-joystick 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rbcar_joystick)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  nav_msgs
  robotnik_msgs
  roscpp
  sensor_msgs
  diagnostic_msgs
  diagnostic_updater
  std_srvs
  std_msgs
  ackermann_msgs
)


catkin_package(
	CATKIN_DEPENDS robotnik_msgs ackermann_msgs
 )


include_directories(
  ${catkin_INCLUDE_DIRS}
)


add_executable(rbcar_joystick_node src/rbcar_joystick.cpp)


add_dependencies(rbcar_joystick_node rbcar_joystick_generate_messages_cpp)
add_dependencies(rbcar_joystick_node robotnik_msgs_generate_messages_cpp)


target_link_libraries(rbcar_joystick_node
   ${catkin_LIBRARIES}
)

=== debian/changelog ===
ros-indigo-rbcar-joystick (1.0.2-0trusty) trusty; urgency=high

  * Modified authors and maintainers
  * modified CMakeLists y Package files
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Tue, 05 Jul 2016 22:00:00 -0000

ros-indigo-rbcar-joystick (1.0.1-0trusty) trusty; urgency=high

  * Modified CMakeLists and package files
  * Adding compilation dependencies with robotnik_msgs
  * added rbcar_joystick
  * Contributors: Usuario, carlos3dx, rguzman

 -- Carlos Villar <cvillar@robotnik.es>  Sun, 03 Jul 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-rbcar-joystick
Section: misc
Priority: extra
Maintainer: Carlos Villar <cvillar@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-ackermann-msgs, ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-robotnik-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://wiki.ros.org/rbcar_joystick
Standards-Version: 3.9.2

Package: ros-indigo-rbcar-joystick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ackermann-msgs, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-robotnik-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: The rbcar_joystick package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rbcar-joystick//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
